org.apache.maven.execution

## Interface MavenExecutionRequest

- All Known Implementing Classes:
    DefaultMavenExecutionRequest

      public interface MavenExecutionRequest

  Version:
    $Id: MavenExecutionRequest.java 687388 2008-08-20 17:19:21Z dfabulich $
  Author:
    Jason van Zyl

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventMonitor(EventMonitor monitor)`
    `java.lang.String` | `getBaseDirectory()`
    `EventDispatcher` | `getEventDispatcher()`
    `java.util.Properties` | `getExecutionProperties()`
    `java.lang.String` | `getFailureBehavior()`
    `ProfileManager` | `getGlobalProfileManager()`
    `java.util.List` | `getGoals()`
    `ArtifactRepository` | `getLocalRepository()`
    `java.lang.String` | `getMakeBehavior()`
    `java.lang.String` | `getPomFile()`
    `ProjectBuilderConfiguration` | `getProjectBuilderConfiguration()`
    `java.lang.String` | `getResumeFrom()`
    `java.util.List` | `getSelectedProjects()`
    `MavenSession` | `getSession()`
    `Settings` | `getSettings()`
    `java.util.Date` | `getStartTime()`
    `java.util.Properties` | `getUserProperties()`
    `boolean` | `isReactorActive()`
    `boolean` | `isRecursive()`
    `boolean` | `isShowErrors()`
    `void` | `setFailureBehavior(java.lang.String failureBehavior)`
    `void` | `setMakeBehavior(java.lang.String makeBehavior)`
    `void` | `setPomFile(java.lang.String pomFile)`
    `void` | `setReactorActive(boolean reactorActive)`
    `void` | `setRecursive(boolean recursive)`
    `void` | `setResumeFrom(java.lang.String resumeFrom)`
    `void` | `setSelectedProjects(java.util.List projects)`
    `void` | `setSession(MavenSession session)`

- - ### Method Detail

    - #### getLocalRepository

          ArtifactRepository getLocalRepository()

    - #### getGoals

          java.util.List getGoals()

    - #### setSession

          void setSession(MavenSession session)

    - #### getSession

          MavenSession getSession()

    - #### addEventMonitor

          void addEventMonitor(EventMonitor monitor)

    - #### getEventDispatcher

          EventDispatcher getEventDispatcher()

    - #### getSettings

          Settings getSettings()

    - #### getBaseDirectory

          java.lang.String getBaseDirectory()

    - #### setRecursive

          void setRecursive(boolean recursive)

    - #### isRecursive

          boolean isRecursive()

    - #### setReactorActive

          void setReactorActive(boolean reactorActive)

    - #### isReactorActive

          boolean isReactorActive()

    - #### setResumeFrom

          void setResumeFrom(java.lang.String resumeFrom)

    - #### getResumeFrom

          java.lang.String getResumeFrom()

    - #### setSelectedProjects

          void setSelectedProjects(java.util.List projects)

    - #### getSelectedProjects

          java.util.List getSelectedProjects()

    - #### setMakeBehavior

          void setMakeBehavior(java.lang.String makeBehavior)

    - #### getMakeBehavior

          java.lang.String getMakeBehavior()

    - #### setPomFile

          void setPomFile(java.lang.String pomFile)

    - #### getPomFile

          java.lang.String getPomFile()

    - #### setFailureBehavior

          void setFailureBehavior(java.lang.String failureBehavior)

    - #### getFailureBehavior

          java.lang.String getFailureBehavior()

    - #### getGlobalProfileManager

          ProfileManager getGlobalProfileManager()

    - #### getExecutionProperties

          java.util.Properties getExecutionProperties()

    - #### getUserProperties

          java.util.Properties getUserProperties()

    - #### getStartTime

          java.util.Date getStartTime()

    - #### isShowErrors

          boolean isShowErrors()

    - #### getProjectBuilderConfiguration

          ProjectBuilderConfiguration getProjectBuilderConfiguration()